pcl::Correspondence Struct Reference
Module common

Correspondence represents a match between two entities (e.g., points, descriptors, etc). More...

`#include <pcl/correspondence.h>`

Inheritance diagram for pcl::Correspondence:

## Public Member Functions

| Correspondence ()=default
| Standard constructor. More...
| Correspondence (index_t _index_query, index_t _index_match, float _distance)
| Constructor. More...

## Public Attributes

index_t | index_query = 0
| Index of the query (source) point. More...
index_t | index_match = UNAVAILABLE
| Index of the matching (target) point. More...
union {
float distance = std::numeric_limits<float>::max()
float weight
}; |
| Distance between the corresponding points, or the weight denoting the confidence in correspondence estimation. More...

## Detailed Description

Correspondence represents a match between two entities (e.g., points, descriptors, etc).

This is represented via the indices of a source point and a target point, and the distance between them.

Author
  Dirk Holz, Radu B. Rusu, Bastian Steder

Definition at line 60 of file correspondence.h.

## Constructor & Destructor Documentation

## Correspondence() [1/2]

pcl::Correspondence::Correspondence | ( |  | ) |

inline default

Standard constructor.

Sets index_query to 0, index_match to -1, and distance to FLT_MAX.

## Correspondence() [2/2]

pcl::Correspondence::Correspondence | ( | index_t | _index_query,
|  | index_t | _index_match,
|  | float | _distance
| ) |  |

inline

Constructor.

Definition at line 79 of file correspondence.h.

## Member Data Documentation

##

union { ... }

Distance between the corresponding points, or the weight denoting the confidence in correspondence estimation.

## distance

float pcl::Correspondence::distance = std::numeric_limits<float>::max()

Definition at line 69 of file correspondence.h.

Referenced by pcl::recognition::TrimmedICP< PointT, Scalar >::compareCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::isBetterCorrespondence(), pcl::registration::sortCorrespondencesByDistance::operator()(), pcl::registration::sortCorrespondencesByQueryIndexAndDistance::operator()(), pcl::registration::sortCorrespondencesByMatchIndexAndDistance::operator()(), and pcl::registration::CorrespondenceEstimationBase< PointSource, PointTarget, float >::setInputTarget().

## index_match

index_t pcl::Correspondence::index_match = UNAVAILABLE

Index of the matching (target) point.

Set to -1 if no correspondence found.

Definition at line 65 of file correspondence.h.

Referenced by pcl::JointIterativeClosestPoint< PointSource, PointTarget, Scalar >::computeTransformation(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScore(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScoreFromNormals(), pcl::registration::sortCorrespondencesByMatchIndex::operator()(), pcl::registration::sortCorrespondencesByMatchIndexAndDistance::operator()(), and pcl::registration::CorrespondenceEstimationBase< PointSource, PointTarget, float >::setInputTarget().

## index_query

index_t pcl::Correspondence::index_query = 0

Index of the query (source) point.

Definition at line 63 of file correspondence.h.

Referenced by pcl::JointIterativeClosestPoint< PointSource, PointTarget, Scalar >::computeTransformation(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScore(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScoreFromNormals(), pcl::registration::sortCorrespondencesByQueryIndex::operator()(), pcl::registration::sortCorrespondencesByQueryIndexAndDistance::operator()(), and pcl::registration::CorrespondenceEstimationBase< PointSource, PointTarget, float >::setInputTarget().

## weight

float pcl::Correspondence::weight

Definition at line 70 of file correspondence.h.

The documentation for this struct was generated from the following file:

- pcl/correspondence.h